Bug 84220 - [BSW]Piglit spec_ARB_seamless_cube_map_arb_seamless_cubemap-three-faces-average fails
Summary: [BSW]Piglit spec_ARB_seamless_cube_map_arb_seamless_cubemap-three-faces-avera...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-23 06:00 UTC by lu hua
Modified: 2014-11-25 06:19 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-09-23 06:00:14 UTC
System Environment:
--------------------------
Platform: BSW
Libdrm:		(master)libdrm-2.4.56-29-g666788a6062de62aa0b3560760fbb0903167a319
Mesa:		(master)d69faf851fff5d41086c9940b2fcf2aa72c40e60
Xserver:(master)xorg-server-1.16.0-317-geaee6572beefca240c42791f9a3a6e547bedd410 
Xf86_video_intel:(master)2.99.916-52-g376037e6336dfc3b32c51b774ab8a80f64390e02
Libva:		(master)e0d25ece01e7aba819c910e98c4fb4706cdab055
Libva_intel_driver:(master)bc2e06ef0f89b264fe968fbff4f06e425385c3d8
Kernel:   (drm-intel-nightly)c5660b4ad395f1e34eacc22cf81c687edfc9c83c

Bug detailed description:
---------------------------
It fails on BSW with mesa master branch, works well on BDW.

output:
Probe color at (110,91)
  Expected: 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000
PIGLIT: {"result": "fail" }

Reproduce steps:
-------------------------
1. xinit
2. bin/arb_seamless_cubemap-three-faces-average -auto
Comment 1 Ben Widawsky 2014-11-24 18:39:45 UTC
Please retest with latest mesa master
Comment 2 lu hua 2014-11-25 06:19:21 UTC
Test on the latest Mesa master(commit: c88385603ae8d983314b736a9459bbf7d002cf11), it works well.

[root@x-bsw01 piglit]# bin/arb_seamless_cubemap-three-faces-average -auto
PIGLIT: {"result": "pass" }
Comment 3 lu hua 2014-11-25 06:19:36 UTC
Verified.Fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.